> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bookings zones for an event

> Get bookings zones for an event



## OpenAPI

````yaml get /bookings/zones/
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /bookings/zones/:
    get:
      tags:
        - Bookings
      summary: Get bookings zones for an event
      description: Get bookings zones for an event
      operationId: getBookingsZonesByEvent
      parameters:
        - name: event_id
          in: query
          description: Event ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Bookings for an event
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Zone'
                  success:
                    type: boolean
                    example: true
        '404':
          description: Event not found
      security:
        - ApiKey: []
components:
  schemas:
    Zone:
      type: object
      description: Zone of the map
      properties:
        id:
          type: string
          description: ID of the zone
          example: 5f8e1b9b9d9e4b0017b3b3a0
        available:
          type: boolean
          description: >-
            Whether bookings are open for sale on this event (false when the
            event sale deadline has passed)
          example: true
        slug:
          type: string
          description: Slug of the zone
          example: '1735561747338'
        name:
          type: string
          description: Name of the zone
          example: Superior VIP
        normalized_zone_name:
          type: string
          description: Normalized name of the zone
          example: superior-vip
        can_select_client:
          type: boolean
          description: If the zone can be selected by the client
          example: true
        is_full:
          type: boolean
          description: If the zone is full
          example: false
        spaces:
          type: array
          description: Tables of the zone
          items:
            $ref: '#/components/schemas/Table'
        rates:
          type: array
          description: Rates of the zone if there are no tables
          items:
            $ref: '#/components/schemas/TableRate'
    Table:
      type: object
      description: Table of a zone
      properties:
        _id:
          type: string
          description: ID of the table
          example: 5f8e1b9b9d9e4b0017b3b3a0
        name:
          type: string
          description: Name of the table
          example: S-12
        capacity:
          type: integer
          description: Capacity of the table
          example: 10
        normalized_name:
          type: string
          description: Normalized name of the table
          example: s-12
        position:
          type: object
          description: Position of the table
          properties:
            x:
              type: number
              description: X position of the table
              example: 100
            'y':
              type: number
              description: Y position of the table
              example: 50
            scale:
              type: number
              description: Scale of the table
              example: 2.1
            rotation:
              type: number
              description: Rotation of the table in degrees
              example: 20
            radius:
              type: number
              description: Radius of the table
              example: 100
        rates:
          type: array
          description: Rates of the table
          items:
            $ref: '#/components/schemas/TableRate'
        available:
          type: boolean
          description: If the table is available or not
          example: true
    TableRate:
      type: object
      description: Rate of a table
      properties:
        _id:
          type: string
          description: ID of the table rate
          example: 5f8e1b9b9d9e4b0017b3b3a0
        slug:
          type: string
          description: Slug of the table rate
          example: red-table
        name:
          type: string
          description: Name of the table rate
          example: Red Table
        content:
          type: string
          description: Content of the table rate
          example: 1 bottle of champagne. VIP with couch
        max_clients:
          type: integer
          description: >-
            The maximum number of clients that can be in the table at the same
            time
          example: 5
        price:
          type: number
          description: Price of the table
          example: 250
        included_persons:
          type: number
          description: (Max) number of persons included in the table rate
          example: 5
        supplement_persons:
          type: number
          description: Supplement per person
          example: 1
        supplement_price:
          type: number
          description: Supplement price
          example: 50
        full_payment:
          type: boolean
          description: If the table rate is a full payment
          example: false
        deposit:
          type: object
          description: Deposit of the table
          properties:
            type:
              type: string
              description: Type of the deposit
              enum:
                - none
                - fixed
                - percent
              example: fixed
            amount:
              type: number
              description: Amount (fixed or percent) of the deposit
              example: 20
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````